Monitoramento
Criar Monitoramento
Cria um acompanhamento contínuo para um CPF ou CNPJ.
POST
/
monitors
Criar Monitoramento
curl --request POST \
--url https://221b-api.sherlocker.com.br/api/v1/monitors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"identifier": "<string>",
"name": "<string>",
"listen_items": [],
"emails": [
"[email protected]"
],
"frequency_hours": 360,
"confirm_extra": true
}
'import requests
url = "https://221b-api.sherlocker.com.br/api/v1/monitors"
payload = {
"identifier": "<string>",
"name": "<string>",
"listen_items": [],
"emails": ["[email protected]"],
"frequency_hours": 360,
"confirm_extra": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
identifier: '<string>',
name: '<string>',
listen_items: [],
emails: ['[email protected]'],
frequency_hours: 360,
confirm_extra: true
})
};
fetch('https://221b-api.sherlocker.com.br/api/v1/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://221b-api.sherlocker.com.br/api/v1/monitors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identifier' => '<string>',
'name' => '<string>',
'listen_items' => [
],
'emails' => [
'[email protected]'
],
'frequency_hours' => 360,
'confirm_extra' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://221b-api.sherlocker.com.br/api/v1/monitors"
payload := strings.NewReader("{\n \"identifier\": \"<string>\",\n \"name\": \"<string>\",\n \"listen_items\": [],\n \"emails\": [\n \"[email protected]\"\n ],\n \"frequency_hours\": 360,\n \"confirm_extra\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://221b-api.sherlocker.com.br/api/v1/monitors")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"identifier\": \"<string>\",\n \"name\": \"<string>\",\n \"listen_items\": [],\n \"emails\": [\n \"[email protected]\"\n ],\n \"frequency_hours\": 360,\n \"confirm_extra\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://221b-api.sherlocker.com.br/api/v1/monitors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identifier\": \"<string>\",\n \"name\": \"<string>\",\n \"listen_items\": [],\n \"emails\": [\n \"[email protected]\"\n ],\n \"frequency_hours\": 360,\n \"confirm_extra\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "monitor",
"status": "active",
"identifier": "<string>",
"identifier_type": "cpf",
"listen_items": [
"company"
],
"emails": [
"[email protected]"
],
"frequency_hours": 360,
"health": {
"status": "unknown",
"consecutive_failures": 123,
"last_cycle_at": "2023-11-07T05:31:56Z"
},
"subscription": {
"status": "included",
"id": "<string>"
},
"execution_allowed": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"blocking_reason": "monitor_paused"
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Maximum string length:
255Body
application/json
Available options:
cpf, cnpj Maximum string length:
255Maximum array length:
4Available options:
company, debts, processes, partners Maximum array length:
20Required range:
1 <= x <= 720Confirma a contratação quando o limite incluído foi atingido.
Response
Monitoramento criado
Available options:
monitor Available options:
active, paused, cancelled Available options:
cpf, cnpj Available options:
company, debts, processes, partners Required range:
1 <= x <= 720Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
monitor_paused, monitor_cancelled, payment_required, feature_disabled ⌘I
Criar Monitoramento
curl --request POST \
--url https://221b-api.sherlocker.com.br/api/v1/monitors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"identifier": "<string>",
"name": "<string>",
"listen_items": [],
"emails": [
"[email protected]"
],
"frequency_hours": 360,
"confirm_extra": true
}
'import requests
url = "https://221b-api.sherlocker.com.br/api/v1/monitors"
payload = {
"identifier": "<string>",
"name": "<string>",
"listen_items": [],
"emails": ["[email protected]"],
"frequency_hours": 360,
"confirm_extra": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
identifier: '<string>',
name: '<string>',
listen_items: [],
emails: ['[email protected]'],
frequency_hours: 360,
confirm_extra: true
})
};
fetch('https://221b-api.sherlocker.com.br/api/v1/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://221b-api.sherlocker.com.br/api/v1/monitors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identifier' => '<string>',
'name' => '<string>',
'listen_items' => [
],
'emails' => [
'[email protected]'
],
'frequency_hours' => 360,
'confirm_extra' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://221b-api.sherlocker.com.br/api/v1/monitors"
payload := strings.NewReader("{\n \"identifier\": \"<string>\",\n \"name\": \"<string>\",\n \"listen_items\": [],\n \"emails\": [\n \"[email protected]\"\n ],\n \"frequency_hours\": 360,\n \"confirm_extra\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://221b-api.sherlocker.com.br/api/v1/monitors")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"identifier\": \"<string>\",\n \"name\": \"<string>\",\n \"listen_items\": [],\n \"emails\": [\n \"[email protected]\"\n ],\n \"frequency_hours\": 360,\n \"confirm_extra\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://221b-api.sherlocker.com.br/api/v1/monitors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identifier\": \"<string>\",\n \"name\": \"<string>\",\n \"listen_items\": [],\n \"emails\": [\n \"[email protected]\"\n ],\n \"frequency_hours\": 360,\n \"confirm_extra\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "monitor",
"status": "active",
"identifier": "<string>",
"identifier_type": "cpf",
"listen_items": [
"company"
],
"emails": [
"[email protected]"
],
"frequency_hours": 360,
"health": {
"status": "unknown",
"consecutive_failures": 123,
"last_cycle_at": "2023-11-07T05:31:56Z"
},
"subscription": {
"status": "included",
"id": "<string>"
},
"execution_allowed": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"blocking_reason": "monitor_paused"
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}